import std.string;
import std.c.stdlib;
import std.file;
import std.path;


string getenv(string envVar)
{
    return std.string.toString(std.c.stdlib.getenv(cast(char*)envVar));
}


bool startsWith(string str, string pattern)
{
    if ((str.length >= pattern.length) && (str[0..pattern.length] == pattern))
        return true;
    return false;
}


bool endsWith(string str, string pattern)
{
    if ((str.length >= pattern.length) && (str[str.length-pattern.length..str.length] == pattern))
        return true;
    return false;
    
}


void mkdirRecurse(string path)
{
    string[] basepath;
    while (!std.file.exists(path))
    {
        basepath ~= path;
        path = std.path.getDirName(path);
    }
    foreach(dir; basepath.reverse)
        std.file.mkdir(dir);
}


string rel2abs(string path)
{
    if (!std.path.isabs(path))
    { 
        path = std.file.getcwd() ~ std.path.sep ~ path;
        string[] paths_parts = std.string.split(path, std.path.sep);
        
        paths_parts.reverse;
        
        path = "";
        string part;
        string[] new_path_parts;
        for(uint i = 0;i< paths_parts.length;i++)
        {
            part = paths_parts[i];
            if (part == ".")
                continue;
            if (part == "..")
            {
                i++;
                continue;
            }
            new_path_parts ~= part;
        }
        
        path = "";
        foreach(p; new_path_parts.reverse)
            path ~= p ~ std.path.sep;

        while (path[path.length-1..path.length] == std.path.sep)
            path = path[0..path.length-1];
    }
    
    return path;
}


