const string[] CATEGORIES = ["accessories", "graphics", "audiovideo", "education", "office", "games", "network", "development", "settings", "system"];


const string[] CATEGORIES_PRIORITY = [
                                "01System",
                                "02Settings",
                                "03Development",
                                "04Education",
                                "05AudioVideo",
                                "06Audio",
                                "07Video",
                                "08Office",
                                "09Graphics",
                                "10Network",
                                "11Utility",
                                "12Viewer",
                                "13Game"
                                ];



const string DEFAULT_OBMENUGEN_CFG_FILE = "# OpenBox Menu Generator config file\n#\n"
                                    "# Lines starting with a '#' character and empty lines are ignored.\n"
                                    "# Keys and values are case sensitive. Keep all keys lowercase.\n"
                                    "# Removing or commenting any config line will cause an error.\n\n"
                                    "# Top Menu section\n"
                                    "# 'terminal' and 'editor' are REQUIRED\n"
                                    "# 'filemanager', 'webbrowser' and 'run command' are optional.\n"
                                    "# Leaving optional values empty causes the corresponding\n"
                                    "# menu item to be hidden, no matter what show/hide option says.\n"
                                    "terminal = xterm\n"
                                    "editor = xterm -e nano\n"
                                    "filemanager = thunar\n"
                                    "webbrowser = firefox\n"
                                    "instant messaging = pidgin\n"
                                    "run command = gmrun\n"
                                    "\n# Lock Screen menuitem\n"
                                    "# Also leaving it empty causes menuitem to be hidden\n"
                                    "lock command = xscreensaver-command -lock\n"
                                    "\n# Exit menuitem\n"
                                    "# Giving this an empty value don't hides the menuitem\n"
                                    "# but uses the default OpenBox action \"Exit\"\n"
                                    "exit command = \n"
                                    "\n# OnlyShowIn Exclusions\n"
                                    "# There is a 'OnlyShowIn' directive in .desktop files.\n"
                                    "# This directive is self-descriptive :)\n"
                                    "# You can put here (in lowercase) any directive's posible value\n"
                                    "# you want to be excluded from the menu, comma-separeted.\n"
                                    "# Leaving this value empty won't exclude any entry by this criteria.\n"
                                    "exclude onlyshowin = kde,gnome\n"
                                    "\n";


const string DEFAULT_OBMENUGEN_SCHEMA_FILE = "# OpenBox Menu Generator Schema file\n\n"
                                       "# Each (non-empty or non-comment) line of this file must be in the form:\n"
                                       "#   'type:options'\n"
                                       "#\n"
                                       "# 'type' could be one of the following values:\n"
                                       "#   'item', 'submenu', 'sep', 'cat', 'raw', 'file'\n"
                                       "#\n"
                                       "# Posible values for each of this types are:\n"
                                       "# For 'item': 'terminal', 'filemanager', 'webbrowser', 'instantmessaging', 'editor', 'runcommand', 'lock', 'exit'\n"
                                       "# For 'submenu': 'windowsanddesktops', 'openbox'\n"
                                       "# For 'sep': A string representing the LABEL for the separator or none\n"
                                       "# For 'cat': Any of the posible categories. See obmenugen --help\n"
                                       "# For 'raw': A hardcoded XML line in the OpenBox's menu.xml file format\n"
                                       "#    Example: raw:<item label=\"Linux Breakout 2\"><action name=\"Execute\"><execute>lbreakout2</execute></action></item>\n"
                                       "# For file: The name of a file with a chunk of XML in the OpenBox's menu.xml file format.\n"
                                       "#           The file must be in ~/.config/obmenugen/\n"
                                       "#     Example: file:extras.xml\n"
                                       "#\n"
                                       "# Comments are lines begining with a # character, to the end of the line.\n"
                                       "item:terminal\n"
                                       "item:filemanager\n"
                                       "item:webbrowser\n"
                                       "item:instantmessaging\n"
                                       "item:editor\n"
                                       "item:runcommand\n"
                                       "submenu:windowsanddesktops\n"
                                       "sep:Applications\n"
                                       "cat:accessories\n"
                                       "cat:education\n"
                                       "cat:games\n"
                                       "cat:graphics\n"
                                       "cat:network\n"
                                       "cat:office\n"
                                       "cat:development\n"
                                       "cat:audiovideo\n"
                                       "cat:system\n"
                                       "cat:settings\n"
                                       "submenu:openbox\n"
                                       "sep:\n"
                                       "item:lock\n"
                                       "item:exit\n"
                                       "\n";


const string DEFAULT_OBMENUGEN_EXCLUSIONS_FILE = "# OpenBox Menu Generator exclusions file\n#\n"
                                           "# Lines starting with a '#' character and empty lines are ignored.\n"
                                           "# Put one exclusion per line.\n"
                                           "# Exclusions are case sensitive and are matched against\n"
                                           "# the 'Name' of the entry (the text that appears in menuitems).\n"
                                           "#\n# Exclusions format examples:\n"
                                           "# ^example$    exact match with 'example'.\n"
                                           "# ^example     match any string that begins whith 'example'.\n"
                                           "# example$     match any string that ends with 'example'.\n"
                                           "# example      match any string containing 'example'.\n"
                                           "\n";

