import std.string;

class Help
{
    this(string _version, string _revision)
    {
        fillHelpMSG(_version, _revision);
    }
    
    string usage() { return splitlines(helpMSG)[3]; }


    string help() { return helpMSG; }

    private:
        string VERSION, helpMSG;
        
        
        void fillHelpMSG(string _version, string _revision)
        {
            helpMSG = format("OpenBox3 Menu Generator (using .desktop files) v%s (r%s) (GPLv2)\n", _version, _revision);
            helpMSG ~= "Copyright (c) 2008-"~split(__DATE__, " ")[2]~", Pável Varela Rodríguez <neonskull@gmail.com>\n"
                       "\nUsage: obmenugen [ -s | -p | --category=<CATEGORY> | --pipe | --help ]\n"
                       "\nACTIONS:\n"
                       "    <NO_PARAM>|-p             Generates menu.xml, with needed intructions to\n"
                       "                              generate a pipe menu.\n\n"
                       "    -s|--static               Generates menu.xml, with static content.\n\n"
                       "    --category=<CATEGORY>     Generates a pipe menu with only the items of a\n"
                       "                              particular 'CATEGORY'.\n"
                       "                              'CATEGORY' could be:\n"
                       "                                  accessories, graphics, audiovideo,\n"
                       "                                  education, office, games, network,\n"
                       "                                  development, settings, system\n"
                       "    --pipe                    Generates the pipe menu.\n"
                       "                              Most likely you will not run obmenugen this way.\n\n"
                       "    -h|--help                 This help.\n"
                       "\nExamples:\n"
                       "    To simply generate an static menu:\n"
                       "        $ obmenugen -s\n\n"
                       "    To generate a menu file, with instructions to use a pipe menu:\n"
                       "        $ obmenugen -p\n\n";
            helpMSG ~= format("Compilation date: %s\n", __TIMESTAMP__);
            helpMSG ~= format("Compiled against: %s Compiler, v%s", __VENDOR__, __VERSION__);
        }
}

