import std.string;
import std.file;

import d2substs;


string getClean(string value)
{
    foreach(item; ["%U", "%u", "%F", "%f", "\n"])
        value = value.replace(item, "");
    value = value.replace("%", "%%");
    value = value.strip();
    return value;
}

string getEscapedXmlChars(string value)
{
    value = value.replace("&", "&#38;");
    value = value.replace("\"", "&#34;");
    value = value.replace("'", "&#39;");
    return value;
}

string getCleanValue(string value, bool escape = true)
{
    value = getClean(join(split(value, "=")[1..$], "="));
    if(escape)
      return getEscapedXmlChars(value);
    else
      return value;
}


bool isComment(string line)
{
    return ( (startsWith(line, "#")) || (strip(line).length == 0) );
}


bool matchFilter(string value, string filter)
{
    return startsWith(value, filter);
}


string[] getDotDesktopFiles(string[] locations)
{
    string[] _locations;
    foreach(dir; locations)
    {
        dir = dir ~ "/applications";
        if (exists(dir) && (!dir.isIn(_locations)))
            _locations ~= dir;
    }
    
    foreach(dir; _locations)
    {
        if (exists(dir))
            foreach(item; listdir(dir, "*"))
                if (isdir(item))
                    _locations ~= item;
    }
 
    string[] filesList;
    foreach(dir; _locations)
    {
        if (exists(dir))
            foreach(file; listdir(dir, "*.desktop"))
                filesList ~= file;
    }
    return filesList;
}


bool isIn(string value, string[] list)
{
    foreach(item; list)
        if (value == item) return true;
    return false;
}


void throwErrorMessage(string msg)
{
    throw new Exception(msg);
}

class TranslationErrorMessage : Exception
{    
    this(string _msg)
    {
        super(_msg);
    }    
}

